/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-24 17:57:58
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-25 15:20:55
 * @FilePath: \general-ai-platform-web\mock\businessModel.ts
 * @Description: mock 业务模型 api
 */
import {
  mockGetBaseBusinessModelListData,
  mockGetBusinessModelListData,
} from './pools/businessModelData';
import { successMockApiProps } from './typing';
import { fetchCurrPageByList } from './utils/apiMock';
export default {
  // 企业业务模型列表
  'GET /api/businessModel/list': async (req: Request, res: Response) => {
    // get 使用 query 读取参数
    const { page, pageSize } = req.query;
    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetBusinessModelListData,
        data: { ...mockGetBusinessModelListData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.json(resData);
  },
  // 企业基础业务模型列表
  'GET /api/businessModel/base/list': async (req: Request, res: Response) => {
    // get 使用 query 读取参数
    const { page, pageSize } = req.query;
    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetBaseBusinessModelListData,
        data: { ...mockGetBaseBusinessModelListData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.json(resData);
  },
};
