import {
  mockGetBusinessAlgorithmData,
  mockGetBusinessProjectData,
} from './pools/businessProjectData';
import { successMockApiProps } from './typing';
import { fetchCurrPageByList, fetchMockSuccessFullByOther } from './utils/apiMock';
export default {
  // 企业列表
  'GET /api/businessProject/list': async (req: Request, res: Response) => {
    // get 使用 query 读取参数
    const { page, pageSize } = req.query;
    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetBusinessProjectData,
        data: { ...mockGetBusinessProjectData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.json(resData);
  },
  // 企业详情
  'GET /api/businessProject/detail': async (req: Request, res: Response) => {
    // get 使用 query 读取参数
    const { id } = req.query;
    let finalData = {};
    mockGetBusinessProjectData.data.results.forEach((item) => {
      if (Number(item.id) === Number(id)) {
        finalData = item;
        // break;
      }
    });
    const resData: successMockApiProps = fetchMockSuccessFullByOther({
      data: finalData,
    });
    res.json(resData);
  },
  // 企业算法列表
  'GET /api/businessProject/algorithm': async (req: Request, res: Response) => {
    // get 使用 query 读取参数
    const { page, pageSize } = req.query;
    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetBusinessAlgorithmData,
        data: { ...mockGetBusinessAlgorithmData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.json(resData);
  },
};
