/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-19 17:10:21
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-05-14 09:46:12
 * @FilePath: \general-ai-platform-web\mock\pools\businessProjectData.ts
 * @Description: 企业项目
 */
/**@企业项目首页模块 */

// 企业项目列表
export const mockGetBusinessProjectData = {
  data: {
    count: 7,
    next: null,
    previous: null,
    results: [
      {
        id: '1',
        name: '一名科技有限公司', // 公司名称
        address: '', // 公司地址
        industry: 1002,
        industryName: '制造业', // 公司所属行业
        contacts: '', // 联系人
        contactWay: '', // 联系方式
        remark: '', // 简介
        logo: '', // 企业logo
        modelCount: 3, // 模型数量
        deviceCount: 1, // 设备数量
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:40',
        validity_period: '2012-01-01 ~ 2042-12-31',
      },
      {
        id: '2',
        name: '江川科技有限公司',
        industry: 1002,
        industryName: '制造业',
        modelCount: 2,
        deviceCount: 3,
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:54',
        validity_period: '2022-01-01 ~ 2030-12-31',
      },
      {
        id: '3',
        name: '苏胜天信息科技有限公司',
        industry: 1001,
        industryName: '互联网科技',
        modelCount: 1,
        deviceCount: 1,
        create_time: '2024-01-22T10:58:57',
        update_time: '2024-04-01T17:54:01',
        province: '江苏省',
        city: '南京市',
        address: '雨花台区软件大道新华汇B4栋4楼', // 公司地址
        contacts: '张三', // 联系人
        contactWay: '17755551234', // 联系方式
        validity_period: '2016-01-01 ~ 2099-12-31',
        remark:
          '南京苏胜天信息科技有限公司成立于2016，年拥有专业计算机视觉和深度学习方面的技术团队，助力制造业工业检测实现智能化，实现企业降本增效。公司核心技术是机器视觉算法，致力于自动化成套视觉检测设备。 ',
      },
      {
        id: '4',
        name: '雅信视觉科技有限公司', // 公司名称
        industry: 1001,
        industryName: '互联网科技',
        modelCount: 3, // 模型数量
        deviceCount: 1, // 设备数量
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:40',
        validity_period: '2018-01-01 ~ 2099-12-31',
      },
      {
        id: '5',
        name: '超越科技有限公司',
        industry: 1001,
        industryName: '互联网科技',
        modelCount: 2,
        deviceCount: 3,
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:54',
        validity_period: '2016-01-01 ~ 2049-12-31',
      },
      {
        id: '6',
        name: '金怡工厂',
        industry: 1002,
        industryName: '冶金制造业',
        modelCount: 1,
        deviceCount: 1,
        create_time: '2024-01-22T10:58:57',
        update_time: '2024-04-01T17:54:01',
        validity_period: '2018-01-01 ~ 2039-12-31',
      },
      {
        id: '7',
        name: '乐乐五金制造',
        industry: 1002,
        industryName: '冶金制造业',
        modelCount: 2,
        deviceCount: 3,
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:54',
        validity_period: '2021-01-01 ~ 2035-12-31',
      },
    ],
  },
  msg: null,
  success: true,
  status: 200,
};
/**@企业项目信息模块 */
// 企业算法列表

export const mockGetBusinessAlgorithmData = {
  data: {
    count: 5,
    next: null,
    previous: null,
    results: [
      {
        id: '1',
        name: '气泡缺陷检测', // 公司名称
        typeName: '经典算法', // 算法类型 经典算法 深度学习
        version: '1.6.25', // 版本
        industry: 1003,
        industryName: '食品、饮料、医疗卫生', // 公司所属行业
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:40',
        icon: '',
      },
      {
        id: '2',
        name: '未带安全帽识别', // 公司名称
        typeName: '深度学习', // 算法类型 经典算法 深度学习
        version: '3.1.09', // 版本
        industry: 1004,
        industryName: '通用', // 公司所属行业
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:40',
        icon: '',
      },
      {
        id: '3',
        name: '元器件(插件)混料检测', // 公司名称
        typeName: '经典算法', // 算法类型 经典算法 深度学习
        version: '2.4.18', // 版本
        industry: 1005,
        industryName: '手机、电子、SMT', // 公司所属行业
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:40',
        icon: '',
      },
      {
        id: '4',
        name: '中心孔缺陷检测', // 公司名称
        typeName: '深度学习', // 算法类型 经典算法 深度学习
        version: '1.0.89', // 版本
        industry: 1006,
        industryName: '锂电池', // 公司所属行业
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:40',
        icon: '',
      },
      {
        id: '5',
        name: '确定最佳剪切线位置', // 公司名称
        typeName: '经典算法', // 算法类型 经典算法 深度学习
        version: '2.2.55', // 版本
        industry: 1007,
        industryName: '钢铁、冶金、铸造', // 公司所属行业
        create_time: '2024-01-22T10:59:37',
        update_time: '2024-04-01T17:53:40',
        icon: '',
      },
    ],
  },
  msg: null,
  success: true,
  status: 200,
};
