/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-05-08 17:33:43
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-05-08 17:45:06
 * @FilePath: \general-ai-platform-web\src\components\Animate\src\animatePic.tsx
 * @Description: 图片动效
 */
import lottie from 'lottie-web'; //引入动效库
import React from 'react';

import { useEffect, useRef } from 'react';
import { LottieProps } from '../typing';

const AnimatePic: React.FC<LottieProps> = (props) => {
  const animationPic = useRef(null);

  function initAnimate() {
    console.log(lottie, 'lottie', props);
    lottie.loadAnimation({
      container: animationPic.current, //选择渲染dom
      renderer: 'svg', //渲染格式
      loop: true, //循环播放
      autoplay: true, //是否i自动播放,
      animationData: props.value, //渲染动效json
    });
  }
  useEffect(() => {
    initAnimate();
  }, []);

  return <div ref={animationPic} />;
};

export default AnimatePic;
