/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-05-08 17:33:43
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-05-08 17:47:09
 * @FilePath: \general-ai-platform-web\src\components\Animate\src\animateServer.tsx
 * @Description: 服务器动效
 */
import lottie from 'lottie-web'; //引入动效库
import React from 'react';
// import json01 from '../../../../public/animate/device/01.json'; //引入下载的动效json

import { useEffect, useRef } from 'react';
import { LottieProps } from '../typing';

const AnimateServer: React.FC<LottieProps> = (props) => {
  const animation1 = useRef(null);

  function initAnimate() {
    console.log(lottie, 'lottie', props);
    lottie.loadAnimation({
      container: animation1.current, //选择渲染dom
      renderer: 'svg', //渲染格式
      loop: true, //循环播放
      autoplay: true, //是否i自动播放,
      //   animationData: json01, //渲染动效json
    });
  }
  useEffect(() => {
    initAnimate();
  }, []);

  return (
    <div style={{ width: 100 }}>
      <div ref={animation1} />
    </div>
  );
};

export default AnimateServer;
