import { ArrowLeftOutlined } from '@ant-design/icons';
import { history } from '@umijs/max';

import React from 'react';

export type CommButtonProps = {
  title: string | React.ReactNode;
  backType?: 'default' | 'custom' | undefined;
  toBack?: () => void;
  size?: number;
};

const InnerPageBack: React.FC<CommButtonProps> = (props) => {
  function doBack() {
    switch (props?.backType) {
      case 'custom':
        props?.toBack();
        break;
      default:
        history.go(-1);
        break;
    }
  }
  return (
    <div className="flex items-center innerPageBack_wrap mb-[16px] " onClick={doBack}>
      <ArrowLeftOutlined style={{ fontSize: `${props.size || 18}px` }} />
      <span className="h1 ml-[8px]" style={{ fontSize: `${props.size || 18}px` }}>
        {props?.title || '返回'}
      </span>
    </div>
  );
};

export default InnerPageBack;
