/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-26 11:11:05
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-29 16:26:05
 * @FilePath: \general-ai-manage\src\components\Tree\src\deviceGroupTree.tsx
 * @Description: 设备节点树
 * @交互说明
 * 1、树形展示
 * 2、可新增、删除
 * 3、可编辑
 * 4、可拖拽
 */
import { PlusCircleOutlined } from '@ant-design/icons';
import React from 'react';

import { theme } from 'antd';
import { DeviceGroupTreeProps } from '../typing';
import BaseTree from './baseTree';
const DeviceGroupTree: React.FC<DeviceGroupTreeProps> = (props) => {
  const { token } = theme.useToken();
  console.log('token', token);

  // async function loadTree() {
  //   const resp = await getDeviceGroupSettingTree()
  //   setDeviceGroupList(resp.data)
  // }

  // useEffect(()=>{
  //   loadTree()
  // },[])

  // const [expandedKeys] = useState(['0-0', '0-0-0', '0-0-0-0']);
  function handleAdd(node) {
    // 当前节点的父节点 可以添加数据
    console.log(node, 'handleAdd_node');
    props.addTreeNode(node);
  }

  return (
    <div className="deviceGroup_tree_wrap">
      <BaseTree
        treeData={props.dataSource}
        fieldNames={{ title: 'name', key: 'id', children: 'children' }}
        addRender={(node) => {
          return (
            <div
              onClick={() => {
                handleAdd(node);
              }}
              style={{ color: token.colorPrimary }}
              key={node?.key || 'add'}
            >
              <PlusCircleOutlined />
              <span className="pl-[10px]"> {node?.key ? '添加子节点' : '添加节点'} </span>
            </div>
          );
        }}
        handleDelete={(node) => {
          // 提示删除
          console.log('handleDelete_node', node);
        }}
        selectTree={(selectedKeys, info) => {
          props.selectTree(selectedKeys, info);
        }}
      ></BaseTree>
      {/* 新增节点 修改节点 */}
    </div>
  );
};

export default DeviceGroupTree;
