/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-10 17:21:34
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-05-14 16:40:35
 * @FilePath: \general-ai-manage\src\locales\zh-CN\model.ts
 * @Description: 模型管理
 */

// 模型
export const model_index: { [key: string]: string } = {
  'model_index.table.list.defaultVersionFkId': '默认版本',
  'model_index.table.list.id': 'ID',
  'model_index.table.list.name': '模型名称',
  'model_index.table.list.categoryFkId': '模型类别',
  'model_index.table.list.type': '模型分类',
  'model_index.table.list.industry': '行业分类',
  'model_index.table.list.remark': '备注',
  'model_index.table.list.createTime': '创建时间',
  'model_index.table.list.updateTime': '更新时间',
  'model_index.table.rule.required.name': '模型名称为必填项',
  'model_index.table.rule.required.categoryFkId': '模型类别为必填项',
  'model_index.table.list.add': '新建模型',
  'model_index.table.list.setIndustry': '行业分类设置',
  'model_index.table.list.update': '更新模型',
  'model_index.table.list.detail': '详情配置',
  'model_index.create.form.add': '新建模型',
  'model_index.create.form.name': '模型名称',
  'model_index.create.form.rule.required.name': '请填写模型名称',
  'model_index.create.form.type': '模型分类',
  'model_index.create.form.rule.required.type': '请填写模型分类',
  'model_index.create.form.industry': '行业分类',
  'model_index.create.form.rule.required.industry': '请选择行业分类',
  'model_index.create.form.remark': '备注',
  'model_index.create.form.rule.required.remark': '请填写备注',

  // 'model_detail.version.table.list.action.defaultVersion': '设为默认'
};
// 模型运行库
export const model_runtimeLib: { [key: string]: string } = {
  'model_runtimeLib.table.list.createTime': '创建时间',
  'model_runtimeLib.table.list.updateTime': '更新时间',
  'model_runtimeLib.table.list.name': '运行库名称',
  'model_runtimeLib.list.table.createForm.add': '新建运行库',
  'model_runtimeLib.list.table.form.name': '运行库名称',
  'model_runtimeLib.list.table.form.rule.required.name': '请填写运行库名称',
  'model_runtimeLib.list.table.form.IP': 'IP地址',
  'model_runtimeLib.list.table.form.rule.required.IP': '请填写IP地址',
  'model_runtimeLib.list.table.form.port': '端口',
  'model_runtimeLib.list.table.form.rule.required.port': '请填写端口',
  'model_runtimeLib.list.table.form.fileName': '选择文件',
  'model_runtimeLib.list.table.form.rule.required.fileName': '请选择文件',
  'model_runtimeLib.list.table.form.remark': '简介',
  'model_runtimeLib.list.table.form.rule.required.remark': '请填写简介',
};
// 模型详情&模型版本
export const model_version: { [key: string]: string } = {
  'model_detail.version.table.list.name': '版本号',
  'model_detail.version.table.list.path': '模型地址',
  'model_detail.version.table.list.size': '大小',
  'model_detail.version.table.list.isEnable': '是否启用',
  'model_detail.version.table.list.remark': '备注',
  'model_detail.version.table.list.createTime': '创建时间',
  'model_detail.version.table.list.updateTime': '更新时间',
  'model_detail.version.table.list.add': '新建模型版本',
  'model_detail.version.table.list.update': '更新模型版本',
  'model_detail.version.stepForm.base': '版本信息',
  'model_detail.version.stepForm.base.description': '填写版本基础信息',
  'model_detail.version.stepForm.project_file': '版本上传',
  'model_detail.version.stepForm.project_file.description': '上传模型文件',
  'model_detail.version.stepForm.config': '参数配置',
  'model_detail.version.stepForm.config.description': '模型参数配置',
  'model_detail.version.stepForm.group': '关联节点',
  'model_detail.version.stepForm.group.description': '关联相关设备节点',
  'model_detail.version.form.modelFkId': '模型',
  'model_detail.version.form.name': '版本号',
  'model_detail.version.form.required.name': '请填写版本号',
  'model_detail.version.form.remark': '备注',
  'model_detail.version.list.table.form.rule.required.name': '请填写版本号',

  'model_detail.version.table.list.tag.defaultVersion': '默认版本',
  'model_detail.version.table.list.title': '版本列表',
  'model_detail.version.table.list.action.add': '新建版本信息',
};

// 业务模型
export const business_model: { [key: string]: string } = {
  'business_model.table.title': '业务模型列表',
  'business_model.table.list.add.name': '创建模型',
  'business_model.table.list.name': '业务模型名称',
  'business_model.table.list.createTime': '创建时间',
  'business_model.stepForm.base': '基本信息',
  'business_model.stepForm.base.description': '填写基础信息',
  'business_model.stepForm.baseModel': '关联模型',
  'business_model.stepForm.baseModel.description': '关联基础模型',
  'business_model.stepForm.project_file': '业务代码',
  'business_model.stepForm.project_file.description': '上传业务代码',
  'business_model.stepForm.config': '参数配置',
  'business_model.stepForm.config.description': '配置业务参数',
  'business_model.form.modelFkId': '业务模型名称',
  'business_model.form.remark': '简介',
  'business_model.table.list.isEnable': '部署状态',
  'business_model.table.list.deployed.isEnable': '已部署',
  'business_model.table.list.undeployed.isEnable': '未部署',
  'business_model.table.list.action.config': '配置参数',
  // 部署模型
  'business_model.deploy.config.bussnessName': '业务名称',
  'business_model.deploy.config.remark': '简介',
  'business_model.deploy.config.linkModels': '关联基础模型',

  'business_model.deploy.config.table.name': '设备名称',
  'business_model.deploy.config.table.deviceType': '设备类型',
  'business_model.deploy.config.table.title.name': '选择需要模型的设备',
};

export const base_model: { [key: string]: string } = {
  'base_model.table.title': '模型列表',
  'base_model.table.list.name': '基础模型名称',
  'base_model.table.list.version': '版本',
  'base_model.table.list.runtimeLibFile': '运行库镜像',
  'base_model.table.list.action.config': '参数配置',
  'base_model.table.list.undeployed.runtimeLibFile': '未部署',
  'base_model.stepForm.businessConfig': '业务参数配置',
  'base_model.stepForm.businessConfig.description': '配置业务参数',
  'base_model.stepForm.add.title': '基础模型配置',
  'base_model.stepForm.runtimeLib': '运行库选择',
  'base_model.stepForm.runtimeLib.description': '选择运行库文件',
  'base_model.stepForm.modelConfig': '模型参数配置',
  'base_model.stepForm.modelConfig.description': '配置模型参数',
  'base_model.stepForm.group': '关联节点',
  'base_model.stepForm.group.description': '关联相关设备节点',
  'base_model.form.modelFkId': '模型',
  'base_model.form.name': '版本号',
  'base_model.form.required.name': '请填写版本号',
  'base_model.form.remark': '备注',
  'base_model.list.table.form.rule.required.name': '请填写版本号',
};

export const server_state: { [key: string]: string } = {
  'server_state.table.list.name': '服务器名称',
  'server_state.table.list.userName': '用户名',
  'server_state.table.list.ip': 'IP',
  'server_state.table.list.pwd': '密码',
  'server_state.table.list.defaultPort': '默认端口',
  'server_state.table.list.parameter': '服务器参数',
  'server_state.table.list.publicKeyString': '公钥字符串',
  'server_state.table.list.connectivityTesting': '连通性测试',
  'server_state.table.list.isEnable': '是否启用',
  'server_state.table.list.remark': '备注',
  'server_state.table.list.createTime': '创建时间',
  'server_state.table.list.updateTime': '更新时间',
  'server_state.table.rule.required.modelFkId': '模型为必填项',
  'server_state.table.rule.required.path': '模型地址为必填项',
  'server_state.table.list.add': '新建服务器',
  'server_state.table.list.editor': '编辑服务器',
  'server_state.table.list.update': '更新模型版本',
};

// 未启用
export const business_image: { [key: string]: string } = {
  'resource.business_image.table.list.id': 'ID',
  'resource.business_image.table.list.name': '镜像名称',
  'resource.business_image.table.list.version': '镜像版本',
  'resource.business_image.table.list.projectFkId': '项目',
  'resource.business_image.table.list.path': '镜像地址',
  'resource.business_image.table.list.startCode': '启动代码',
  'resource.business_image.table.list.config': '配置',
  'resource.business_image.table.list.configHash': '配置hash',
  'resource.business_image.table.list.remark': '备注',
  'resource.business_image.table.list.createTime': '创建时间',
  'resource.business_image.table.list.updateTime': '更新时间',
  'resource.business_image.table.rule.required.name': '镜像名称为必填项',
  'resource.business_image.table.rule.required.version': '镜像版本为必填项',
  'resource.business_image.table.rule.required.projectFkId': '项目为必填项',
  'resource.business_image.table.list.add': '新建业务镜像',
  'resource.business_image.table.list.update': '更新业务镜像',
};
export const model_category: { [key: string]: string } = {
  'resource.model_category.table.list.id': 'ID',
  'resource.model_category.table.list.name': '类别名称',
  'resource.model_category.table.list.code': '类别代码',
  'resource.model_category.table.list.remark': '备注',
  'resource.model_category.table.list.createTime': '创建时间',
  'resource.model_category.table.list.updateTime': '更新时间',
  'resource.model_category.table.rule.required.name': '类别名称为必填项',
  'resource.model_category.table.rule.required.code': '类别代码为必填项',
  'resource.model_category.table.list.add': '新建模型类别',
  'resource.model_category.table.list.update': '更新模型类别',
};
export const model_image: { [key: string]: string } = {
  'resource.model_image.table.list.id': 'ID',
  'resource.model_image.table.list.name': '镜像名称',
  'resource.model_image.table.list.modelVersionFkId': '模型版本',
  'resource.model_image.table.list.path': '镜像地址',
  'resource.model_image.table.list.startCode': '启动代码',
  'resource.model_image.table.list.remark': '备注',
  'resource.model_image.table.list.createTime': '创建时间',
  'resource.model_image.table.list.updateTime': '更新时间',
  'resource.model_image.table.rule.required.name': '镜像名称为必填项',
  'resource.model_image.table.rule.required.modelVersionFkId': '模型版本为必填项',
  'resource.model_image.table.list.add': '新建模型镜像',
  'resource.model_image.table.list.update': '更新模型镜像',
};
