/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-23 17:46:47
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-24 16:46:44
 * @FilePath: \general-ai-platform-web\src\pages\Project\BusinessInfo\components\accountPsw.tsx
 * @Description: 账号密码
 */
import { ProForm, ProFormText } from '@ant-design/pro-components';
import { FormattedMessage, useIntl } from '@umijs/max';
import React from 'react';

type AccountPswProps = {
  info: Record<string, any>;
};

const AccountPsw: React.FC<AccountPswProps> = () => {
  const [form] = ProForm.useForm(); // form 对象
  const intl = useIntl();

  return (
    <ProForm
      className="gn_form"
      form={form}
      submitter={{
        submitButtonProps: {
          style: {
            display: 'none', // 设置为隐藏状态
          },
        },
        resetButtonProps: {
          style: {
            display: 'none', // 设置为隐藏状态
          },
        },
      }}
    >
      <ProForm.Group>
        <ProFormText
          width="34.45vw"
          name="name"
          label={
            <FormattedMessage id="business_info.list.table.form.name" defaultMessage="企业账号" />
          }
          placeholder={`${intl.formatMessage({
            id: 'common.please_input',
            defaultMessage: '$$$',
          })}${intl.formatMessage({
            id: 'business.list.table.form.name',
            defaultMessage: '$$$',
          })}`}
          required={true}
        />
        <ProFormText.Password
          width="34.45vw"
          label={<FormattedMessage id="business_info.list.table.form.pwd" defaultMessage="密码" />}
          name="pwd"
          placeholder={'输入新密码'}
        />
      </ProForm.Group>
    </ProForm>
  );
};
export default AccountPsw;
