/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-23 17:00:00
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-05-14 10:20:13
 * @FilePath: \general-ai-platform-web\src\pages\Project\BusinessInfo\components\baseInfo.tsx
 * @Description: 基本信息展示
 *
 */

import { ProDescriptions } from '@ant-design/pro-components';
import { FormattedMessage } from '@umijs/max';

type BaseInfoProps = {
  info: Record<string, any>;
};

const BaseInfo: React.FC<BaseInfoProps> = ({ info }) => {
  // 模型基本信息
  const ModelDetailColumns = [
    {
      title: <FormattedMessage id="business.list.table.form.industry" defaultMessage="所属行业" />,
      dataIndex: 'industryName',
    },
    {
      title: <FormattedMessage id="business.list.table.form.contacts" defaultMessage="联系人" />,
      dataIndex: 'contacts',
    },
    {
      title: (
        <FormattedMessage id="business.list.table.form.contactWay" defaultMessage="联系方式" />
      ),
      dataIndex: 'contactWay',
    },
    {
      title: (
        <FormattedMessage
          id="business.list.table.form.validity_period"
          defaultMessage="服务有效期"
        />
      ),
      dataIndex: 'validity_period',
    },
    {
      title: <FormattedMessage id="business.list.table.form.address" defaultMessage="公司地址" />,
      dataIndex: 'address',
      render: (_, record) => {
        return record?.province + record?.city + record.address;
      },
      span: 4,
    },
    {
      title: <FormattedMessage id="business.list.table.form.remark" defaultMessage="公司简介" />,
      dataIndex: 'remark',
      span: 4,
    },
  ];
  return (
    <div className="gn_active_descriptions gn_descriptions bg_active_4">
      <ProDescriptions column={4} columns={ModelDetailColumns} dataSource={info}></ProDescriptions>
    </div>
  );
};

export default BaseInfo;
