/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-09 13:46:44
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-25 15:21:56
 * @FilePath: \general-ai-manage\src\services\testApi\businessModel.ts
 * @Description: 企业模型mock数据映射
 */
// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 企业业务模型分页列表 */
export async function getBusinessModelList(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/businessModel/list`,
    {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...body,
      },
      ...(options || {}),
    },
  );
}

/** 企业基础业务模型分页列表 */
export async function getBaseBusinessModelList(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/businessModel/base/list`,
    {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...body,
      },
      ...(options || {}),
    },
  );
}
