/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-05-08 14:37:04
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-05-10 15:16:41
 * @FilePath: \general-ai-platform-web\src\services\testApi\businessState.ts
 * @Description: 设备、服务器状态mock数据映射
 */

// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 服务器状态分页列表 */
export async function getServerStateList(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/business/serverState/list`,
    {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...body,
      },
      ...(options || {}),
    },
  );
}

/** 服务器日志分页列表 */
export async function getServerStateLogList(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/business/serverState/logList`,
    {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...body,
      },
      ...(options || {}),
    },
  );
}

/** 设备状态分页列表 */
export async function getDeviceStateList(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/business/deviceState/list`,
    {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...body,
      },
      ...(options || {}),
    },
  );
}

/** 设备日志分页列表 */
export async function getDeviceStateLogList(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/business/deviceState/logList`,
    {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...body,
      },
      ...(options || {}),
    },
  );
}
