/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-04-25 15:39:42
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-28 11:19:40
 * @FilePath: \general-ai-platform-web\src\services\testApi\deviceGroup.ts
 * @Description: 节点设置api
 */
// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 节点设置分页列表 */
export async function getDeviceGroupList(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/device_group/getDeviceGroupList`,
    {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...body,
      },
      ...(options || {}),
    },
  );
}

/** 获取设备组树 GET /device_group/getDeviceGroupTree */
export async function getDeviceGroupTree(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/device_group/getDeviceGroupTree`,
    {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...body,
      },
      ...(options || {}),
    },
  );
}

/** 获取节点树 GET /device_group/getDeviceGroupTree */
export async function getDeviceGroupSettingTree(
  body: Record<string, any>, //
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/device_group/setting_data`,
    {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...body,
      },
      ...(options || {}),
    },
  );
}
